use bevy::prelude::*;
use bevy::render::camera::Camera;

pub fn startup(mut commands: Commands) {
    let bundle = (Camera2dBundle::default(), IsDefaultUiCamera);
    // bundle.0.projection.scale = 1;
    commands.spawn(bundle);
}

#[derive(Component, Debug)]
pub struct Watched;

pub fn update(
    watched: Query<&Transform, With<Watched>>,
    mut camera: Query<&mut Transform, (With<Camera>, Without<Watched>)>,
) {
    if let Ok(mut camera) = camera.get_single_mut() {
        if let Ok(watched) = watched.get_single() {
            camera.translation.x = watched.translation.x;
            camera.translation.y = watched.translation.y;
        } else {
            camera.translation = Vec3::ZERO;
        }
    }
}
